<?php
header('Content-Type: application/json');
require("dbinfo.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}

$tipo = 'Tipo de Tramo';

if($_REQUEST['tipo']){$tipo = $_REQUEST['tipo'];}

$sql = '';
switch ($tipo){
    case "Tipo de Tramo":
        $sql = "SELECT tipotra AS CODIGO, COUNT(tipotra) AS CANTIDAD FROM cat_tramos WHERE 1 GROUP BY tipotra";
        break;
    case "Tipo de Seccion":
        $sql = "SELECT tiposec AS CODIGO, COUNT(tiposec) AS CANTIDAD FROM cat_tramos WHERE 1 GROUP BY tiposec";
        break;        
    case "Tipo de Punto Singular":
        $sql =  "SELECT tipo AS CODIGO, COUNT(tipo) AS CANTIDAD FROM cat_psingulares WHERE 1 GROUP BY tipo";
        break;
    case "Tipo de Captacion":
        $sql =  "SELECT tipo AS CODIGO, COUNT(tipo) AS CANTIDAD FROM cat_captaciones WHERE 1 GROUP BY tipo";
        break;
    case "SubTipo de Captacion":
        $sql =  "SELECT clase AS CODIGO, COUNT(clase) AS CANTIDAD FROM cat_captaciones WHERE 1 GROUP BY clase";
        break;
    case "Tipo de conexion de Captacion":
        $sql =  "SELECT tipo AS CODIGO, COUNT(tipo) AS CANTIDAD FROM cat_conex_capt WHERE 1 GROUP BY tipo";
        break;         
}

$exito_en_consulta = FALSE;
if ($sql != '')
{
	$resultado = mysqli_query($con,$sql);
	$exito_en_consulta = TRUE;
}
$res = array();
$data = array();
$columns = array();

if ($exito_en_consulta == TRUE)
{
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
			$elem = array(
							'codigo'=>$row["CODIGO"],		
							'cantidad'=>$row["CANTIDAD"]
      	   				);
			 $exito_en_consulta = TRUE;
			 array_push($data,$elem);
			}
		}
	}	
}			 
if ($exito_en_consulta == FALSE)			
		{
			$elem = array(
				'codigo'=>'',		
				'cantidad'=>0
			  );
			  array_push($data,$elem);    
}


$columna1 = array(
	'field'=> 'codigo',
	'label'=> 'Codigo',
	'width'=> '20'
);
array_push($columns, $columna1);

$columna2 = array(
	'field'=> 'cantidad',
	'label'=> 'Cantidad',
	'width'=> '20',
	'numeric' => true
);
array_push($columns, $columna2);

array_push($res,$data);
array_push($res,$columns);
mysqli_close($con);
echo json_encode($res);
?>